Bug 8541 - Localization flags appear to be missing from TinyMCE controls
Localization flags appear to be missing from TinyMCE controls
Status: RESOLVED FIXED
Product: OMP
Classification: Unclassified
Component: User Interface
1.1
All All
: P3 normal
Assigned To: Michael Thessel
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-17 05:43 PST by Alec Smecher
Modified: 2014-03-03 17:32 PST (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2014-01-17 05:43:28 PST
When working with a multilingual-enabled press, TinyMCE controls don't have any indication of what field corresponds to what language.
Comment 1 Michael Thessel 2014-02-13 18:02:15 PST
Submitted pull request here: https://github.com/pkp/pkp-lib/pull/63

Additionally I removed the globe icon from the first input when the popover shows.
Comment 2 Alec Smecher 2014-02-14 09:14:31 PST
(Re-opening until the pull request is committed, just to be sure it doesn't get lost)
Comment 3 Michael Thessel 2014-02-14 19:17:37 PST
Ok, I fixed several things here:
* Improved positioning of globe and flag icons
* Added flag icon PNGs for all existing locales (FamFam)
* Re-added country flag icons for all input fields
* Added HTML5 placeholder support to TinyMCE (JS; inserting/removing text)
* Added the country flag and globe icons to TinyMCE editor instances
* Removed the globe icon from the input field with the default locale
Comment 4 Michael Thessel 2014-02-17 15:56:05 PST
Restored flags in input fields and text areas
https://github.com/pkp/pkp-lib/commit/c2e915fa47cd73f76680ce12d293cbe9d44dc715
Comment 5 Michael Thessel 2014-02-17 15:56:05 PST
Changed file permissions
https://github.com/pkp/pkp-lib/commit/66b1aa874030d5743050505595b5acd275c89964
Comment 6 Michael Thessel 2014-02-17 15:56:05 PST
Improved globe icon positioning
https://github.com/pkp/pkp-lib/commit/e3675b5920259f699d62bc1a3394dd4de3b4211e
Comment 7 Michael Thessel 2014-02-17 15:56:05 PST
Added country flag to localizable tinymce fields
https://github.com/pkp/pkp-lib/commit/40ba53200f372a4a099c70b5ff587f841539ab01
Comment 8 Michael Thessel 2014-02-17 15:56:06 PST
Show globe icon for localizable TinyMCE textareas
https://github.com/pkp/pkp-lib/commit/cc1e7c9a934e01df16f902e7f8303c2d4f952feb
Comment 10 Michael Thessel 2014-02-17 17:21:03 PST
Improved element creation
https://github.com/pkp/pkp-lib/commit/6d573081eccdf6876c9a71717189f411f7aa5860
Comment 11 Michael Thessel 2014-03-03 16:14:02 PST
Refactored TinyMCE placeholder implementation
https://github.com/pkp/pkp-lib/commit/6979692932a405e62878ec5d826bf5dbbc05cf39
Comment 12 Michael Thessel 2014-03-03 17:32:10 PST
Refactored TinyMCE placeholder implementation
https://github.com/pkp/pkp-lib/commit/6979692932a405e62878ec5d826bf5dbbc05cf39